Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.move.generic
Class PillarSwapMoveSelector

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.AbstractSelector
          org.optaplanner.core.impl.heuristic.selector.move.AbstractMoveSelector
              org.optaplanner.core.impl.heuristic.selector.move.generic.GenericMoveSelector
                  org.optaplanner.core.impl.heuristic.selector.move.generic.PillarSwapMoveSelector

All Implemented Interfaces:
  Iterable<Move>, EventListener, IterableSelector<Move>, MoveSelector, Selector, SolverPhaseLifecycleListener, SolverLifecycleListener

    public class PillarSwapMoveSelector

extends GenericMoveSelector

Field Summary
`protected PillarSelector` | `leftPillarSelector`
`protected boolean` | `randomSelection`
`protected PillarSelector` | `rightPillarSelector`
`protected Collection<PlanningVariableDescriptor>` | `variableDescriptors`

Fields inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector
`logger, solverPhaseLifecycleSupport, workingRandom`

Constructor Summary
`PillarSwapMoveSelector(PillarSelector leftPillarSelector, PillarSelector rightPillarSelector, Collection<PlanningVariableDescriptor> variableDescriptors, boolean randomSelection)`

Method Summary
`long` | `getSize()` A random JIT `Selector` with `Selector.isNeverEnding()` true should return a size as if it would be able to return each distinct element only once, because the size can be used in `SelectionProbabilityWeightFactory`.
`boolean` | `isContinuous()` If true, then `Selector.isNeverEnding()` is also true.
`boolean` | `isNeverEnding()` Is true if `Selector.isContinuous()` is true or if this selector is in random order (for most cases).
`Iterator<Move>` | `iterator()`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector
`getCacheType, phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector
`getCacheType`

Methods inherited from interface org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### leftPillarSelector

    protected final PillarSelector leftPillarSelector

### rightPillarSelector

    protected final PillarSelector rightPillarSelector

### variableDescriptors

    protected final Collection<PlanningVariableDescriptor> variableDescriptors

### randomSelection

    protected final boolean randomSelection

Constructor Detail

### PillarSwapMoveSelector

    public PillarSwapMoveSelector(PillarSelector leftPillarSelector,
                                  PillarSelector rightPillarSelector,
                                  Collection<PlanningVariableDescriptor> variableDescriptors,
                                  boolean randomSelection)

Method Detail

### isContinuous

    public boolean isContinuous()

  Description copied from interface: `Selector`
  If true, then `Selector.isNeverEnding()` is also true.

  Returns:
    true if any of the value ranges are continuous (as in for example every double value between 1.2 and 1.4)

### isNeverEnding

    public boolean isNeverEnding()

  Description copied from interface: `Selector`
  Is true if `Selector.isContinuous()` is true or if this selector is in random order (for most cases). Is never true when this selector is in shuffled order (which is less scalable but more exact).

  Returns:
    true if the `Iterator.hasNext()` of the `Iterator` created by `Iterable.iterator()` never returns false.

### getSize

    public long getSize()

  Description copied from interface: `IterableSelector`
  A random JIT `Selector` with `Selector.isNeverEnding()` true should return a size as if it would be able to return each distinct element only once, because the size can be used in `SelectionProbabilityWeightFactory`.

  Returns:
    the approximate number of elements generated by this `Selector`, always >= 0

### iterator

    public Iterator<Move> iterator()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.